---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-23T16:49:58Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://9f816fac-d584-42c4-b5fb-2ad1db8df7b7"
documentDescribes:
- "SPDXRef-Project-Maven-org.eclipse.iofog-test-message-generator-0.1"
packages:
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.iofog-test-message-generator-0.1"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "http://iofog.org/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "test-message-generator"
  summary: "NONE"
  versionInfo: "0.1"
- SPDXID: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/io/netty/netty-all/4.0.35.Final/netty-all-4.0.35.Final.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/io.netty/netty-all@4.0.35.Final"
  filesAnalyzed: false
  homepage: "http://netty.io/netty-all/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "netty-all"
  summary: "Netty is an asynchronous event-driven network application framework for\n\
    \    rapid development of maintainable high performance protocol servers and\n\
    \    clients."
  versionInfo: "4.0.35.Final"
- SPDXID: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/netty/netty.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/io.netty/netty-all@4.0.35.Final"
  filesAnalyzed: false
  homepage: "http://netty.io/netty-all/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "netty-all"
  summary: "Netty is an asynchronous event-driven network application framework for\n\
    \    rapid development of maintainable high performance protocol servers and\n\
    \    clients."
  versionInfo: "4.0.35.Final"
- SPDXID: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/io/netty/netty-all/4.0.35.Final/netty-all-4.0.35.Final-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/io.netty/netty-all@4.0.35.Final"
  filesAnalyzed: false
  homepage: "http://netty.io/netty-all/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "netty-all"
  summary: "Netty is an asynchronous event-driven network application framework for\n\
    \    rapid development of maintainable high performance protocol servers and\n\
    \    clients."
  versionInfo: "4.0.35.Final"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/glassfish/javax.json/1.0.4/javax.json-1.0.4.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish/javax.json@1.0.4"
  filesAnalyzed: false
  homepage: "http://jsonp.java.net"
  licenseConcluded: "CDDL-1.0"
  licenseDeclared: "CDDL-1.1 OR GPL-2.0-only"
  name: "javax.json"
  summary: "Default provider for JSR 353:Java API for Processing JSON"
  versionInfo: "1.0.4"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://java.net/jsonp~git/api"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish/javax.json@1.0.4"
  filesAnalyzed: false
  homepage: "http://jsonp.java.net"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.json"
  summary: "Default provider for JSR 353:Java API for Processing JSON"
  versionInfo: "1.0.4"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/glassfish/javax.json/1.0.4/javax.json-1.0.4-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish/javax.json@1.0.4"
  filesAnalyzed: false
  homepage: "http://jsonp.java.net"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.json"
  summary: "Default provider for JSR 353:Java API for Processing JSON"
  versionInfo: "1.0.4"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final-vcs"
- spdxElementId: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.iofog-test-message-generator-0.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-io.netty-netty-all-4.0.35.Final"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.iofog-test-message-generator-0.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish-javax.json-1.0.4"
